Bug 198728 - pre-edit buffer should be empty after deactivation
pre-edit buffer should be empty after deactivation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-bridge (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: SCIM
  Show dependency treegraph
 
Reported: 2006-07-13 01:41 EDT by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 04:40:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2006-07-13 01:41:34 EDT
Description of problem:
Was wondering if pre-edit buffer should be empty if the IME is deactivated. At
the moment, it waits for the next keypress or mouse click for the buffer to be
removed.

Version-Release number of selected component (if applicable):
scim-anthy-1.0.0-2.fc6

How reproducible:
Always

Steps to Reproduce:
1.in gedit activate scim and select Anthy
2.enter 'a'
3.deactivate
  
Actual results:
pre-edit buffer still around

Expected results:
should be destroyed

Additional info:
Comment 1 Akira TAGOH 2006-07-14 00:03:39 EDT
I can reproduce this with scim-bridge only. but works fine with scim. reassigning.
Comment 2 Ryo Dairiki 2006-07-14 00:14:15 EDT
Okay, I'll fix that later.
Comment 3 Ryo Dairiki 2006-07-14 07:48:28 EDT
Fixed, but I cannot upload them by some reason.
I'll notice you when you can get it.
Comment 4 Ryo Dairiki 2006-07-15 02:20:00 EDT
Fixed on the CVS latest.
Comment 5 Ryo Dairiki 2006-07-22 23:15:10 EDT
Scim-bridge-0.2.5 has been released.
This release also contains this bug fixes.
Comment 6 Jens Petersen 2006-07-24 06:33:46 EDT
scim-bridge package was updated to 0.2.5.
Comment 7 Ryo Dairiki 2006-07-24 06:57:10 EDT
It seems like mozilla apps have some bug around focus-switching.
We cannot hide the preedit on the focus changing.
It just be ignored, and the preedit remains. :(
Comment 8 A S Alam 2006-07-25 11:55:45 EDT
for Gedit, pre-edit buffer is empty after Deactivation, for Mozilla 
(in case of firefox/thunderbird) also working fine, any other sepecific application?
Comment 9 Ryo Dairiki 2006-07-25 18:15:35 EDT
Please move the focus from finding bar from google search bar with the preedit
shown in firefox.
You can see what I said. :<
(I've post the bug report for mozilla.org already)
Comment 10 Jens Petersen 2006-08-01 04:38:44 EDT
Thanks, Dairiki-san, what is the upstream bug number btw?

The mozilla issue is bug 199551.

Note You need to log in before you can comment on or make changes to this bug.